summaryrefslogtreecommitdiff
path: root/.local/bin/websearch
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/websearch')
-rwxr-xr-x.local/bin/websearch31
1 files changed, 31 insertions, 0 deletions
diff --git a/.local/bin/websearch b/.local/bin/websearch
new file mode 100755
index 0000000..2de2c75
--- /dev/null
+++ b/.local/bin/websearch
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Gives a dmenu prompt to search Google.
+# Without input, will open Google.com.
+# URLs will be directly handed to the browser.
+# Anything else, it search it.
+
+query=$(printf " " | dmenu -i -p " Search Google")
+
+echo "$query" | head -c 1
+
+if [ $(echo "$query" | head -c 1) == "\!" ]; then
+ $BROWSER "https://duckduckgo.com/?q=$query&t=ffab&atb=v1-1"
+else
+ $BROWSER "https://google.com/?q=$query&t=ffab&atb=v1-1"
+fi
+
+
+# # pgrep -x dmenu && exit
+# # pgrep -x dmenu
+
+# choice=$(echo "" | dmenu -i -p " Search DuckDuckGo") || exit 1
+
+# if [ "$choice" = "" ]; then
+# firefox "https://duckduckgo.com"
+# else
+# if echo "$choice" | grep "^(http:\/\/|https:\/\/)?[a-zA-Z0-9]+\.[a-zA-Z]+(/)?.*$"; then
+# firefox "$choice"
+# else
+# firefox "https://duckduckgo.com/?q=$choice&t=ffab&atb=v1-1"
+# fi
+# fi